Package ghidra.trace.database.symbol

# Class DBTraceSymbolMultipleTypesNoDuplicatesView<T extends AbstractDBTraceSymbol>

java.lang.Object
ghidra.trace.database.symbol.DBTraceSymbolMultipleTypesView<T>
ghidra.trace.database.symbol.DBTraceSymbolMultipleTypesNoDuplicatesView<T>

All Implemented Interfaces:
  `TraceSymbolNoDuplicatesView<T>`, `TraceSymbolView<T>`

public class DBTraceSymbolMultipleTypesNoDuplicatesView<T extends AbstractDBTraceSymbol> extends DBTraceSymbolMultipleTypesView<T> implements TraceSymbolNoDuplicatesView<T>

- ## Field Summary

  ### Fields inherited from class ghidra.trace.database.symbol.DBTraceSymbolMultipleTypesView

  `manager, parts`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceSymbolMultipleTypesNoDuplicatesView(DBTraceSymbolManager manager, AbstractDBTraceSymbolSingleTypeView<? extends T>... parts)`
  `DBTraceSymbolMultipleTypesNoDuplicatesView(DBTraceSymbolManager manager, Collection<? extends AbstractDBTraceSymbolSingleTypeView<? extends T>> parts)`

- ## Method Summary

  ### Methods inherited from class ghidra.trace.database.symbol.DBTraceSymbolMultipleTypesView

  `getAll, getChildren, getChildrenNamed, getManager, getNamed, getWithMatchingName, scanByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceSymbolNoDuplicatesView

  `getChildNamed, getGlobalNamed`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceSymbolView

  `getAll, getChildren, getChildrenNamed, getGlobals, getGlobalsNamed, getManager, getNamed, getTrace, getWithMatchingName, scanByName, size`

- ## Constructor Details

  - ### DBTraceSymbolMultipleTypesNoDuplicatesView

    public DBTraceSymbolMultipleTypesNoDuplicatesView(DBTraceSymbolManager manager, Collection<? extends AbstractDBTraceSymbolSingleTypeView<? extends T>> parts)

  - ### DBTraceSymbolMultipleTypesNoDuplicatesView

    @SafeVarargs public DBTraceSymbolMultipleTypesNoDuplicatesView(DBTraceSymbolManager manager, AbstractDBTraceSymbolSingleTypeView<? extends T>... parts)